Jump to content

Issues w/ SSLstrip for days.... syntax errors :-(


monkeywrench
 Share

Recommended Posts

Hi guys, for like 2 weeks I've been trying to figure this shit out... can't get SSLstrip to work for anything

 

I lurk here a lot but am a new poster, my apologies .... if anyone can help it would be EXTREMELY appreciated.  I've tried everything I can find... when I try to run sslstrip, I get the follow errors:

 

# sslstrip -k -l 8080 
  File "/usr/bin/sslstrip", line 39
    print "\nsslstrip " + gVersion + " by Moxie Marlinspike"
                      ^
SyntaxError: Missing parentheses in call to 'print'. Did you mean print("\nsslstrip " + gVersion + " by Moxie Marlinspike")?

 

I've tried using pip to uninstall and reinstall, and then I was getting errors involving pyopenssl, which I've uninstalled and reinstalled many times - I feel like I tried going in every direction and have no idea which way to go now

 

I have both python 2.7 and python 3.6 (or 3.7?) installed on kali ...  I have a feeling it's related to some weird setup or virtualenv i tried to set up .... I'm sorry if this isn't the right place to post but I'm exhausted drained and just wanna figure this dam thing out, any guidance at all is really truly appreciated

Link to comment
Share on other sites

Thanks for the response!  That was actually the first thing I tried to do, thinking maybe it actually was something with the python code.  I'm learning python now actually, I know a little, but enough to debug.  Maybe I'll give that a try again. 

I will note that when I try to like, force reinstall in this case with pip (or I've also tried uninstalling and reinstalling), I get the following errors which is another route I've been taking to try to figure out if this was the cause:

 

 

user@root:~$ sudo pip install sslstrip --force-reinstall
Collecting sslstrip
Collecting pyOpenSSL==0.13.1 (from sslstrip)
  Using cached https://files.pythonhosted.org/packages/78/a2/51d260c5659b5db40af767ac3d518ba9f7c02c6d7c42cbff9c663f9c3556/pyOpenSSL-0.13.1.tar.gz
Collecting Twisted==13.1.0 (from sslstrip)
Collecting zope.interface>=3.6.0 (from Twisted==13.1.0->sslstrip)
Collecting setuptools (from zope.interface>=3.6.0->Twisted==13.1.0->sslstrip)
  Using cached https://files.pythonhosted.org/packages/ff/f4/385715ccc461885f3cedf57a41ae3c12b5fec3f35cce4c8706b1a112a133/setuptools-40.0.0-py2.py3-none-any.whl
Building wheels for collected packages: pyOpenSSL
  Running setup.py bdist_wheel for pyOpenSSL ... error
  Complete output from command /usr/bin/python -u -c "import setuptools, tokenize;__file__='/tmp/pip-install-7u6tx8qm/pyOpenSSL/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" bdist_wheel -d /tmp/pip-wheel-ux8v_nm7 --python-tag cp36:
  running bdist_wheel
  running build
  running build_py
  creating build
  creating build/lib.linux-x86_64-3.6
  creating build/lib.linux-x86_64-3.6/OpenSSL
  copying OpenSSL/__init__.py -> build/lib.linux-x86_64-3.6/OpenSSL
  copying OpenSSL/tsafe.py -> build/lib.linux-x86_64-3.6/OpenSSL
  copying OpenSSL/version.py -> build/lib.linux-x86_64-3.6/OpenSSL
  creating build/lib.linux-x86_64-3.6/OpenSSL/test
  copying OpenSSL/test/__init__.py -> build/lib.linux-x86_64-3.6/OpenSSL/test
  copying OpenSSL/test/util.py -> build/lib.linux-x86_64-3.6/OpenSSL/test
  copying OpenSSL/test/test_crypto.py -> build/lib.linux-x86_64-3.6/OpenSSL/test
  copying OpenSSL/test/test_rand.py -> build/lib.linux-x86_64-3.6/OpenSSL/test
  copying OpenSSL/test/test_ssl.py -> build/lib.linux-x86_64-3.6/OpenSSL/test
  running build_ext
  building 'OpenSSL.crypto' extension
  creating build/temp.linux-x86_64-3.6
  creating build/temp.linux-x86_64-3.6/OpenSSL
  creating build/temp.linux-x86_64-3.6/OpenSSL/crypto
  x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -g -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC -I/usr/include/python3.6m -c OpenSSL/crypto/crypto.c -o build/temp.linux-x86_64-3.6/OpenSSL/crypto/crypto.o
  OpenSSL/crypto/crypto.c: In function ‘crypto_sign’:
  OpenSSL/crypto/crypto.c:626:16: error: storage size of ‘md_ctx’ isn’t known
       EVP_MD_CTX md_ctx;
                  ^~~~~~
  OpenSSL/crypto/crypto.c:626:16: warning: unused variable ‘md_ctx’ [-Wunused-variable]
  OpenSSL/crypto/crypto.c: In function ‘crypto_verify’:
  OpenSSL/crypto/crypto.c:673:16: error: storage size of ‘md_ctx’ isn’t known
       EVP_MD_CTX md_ctx;
                  ^~~~~~
  OpenSSL/crypto/crypto.c:673:16: warning: unused variable ‘md_ctx’ [-Wunused-variable]
  At top level:
  OpenSSL/crypto/crypto.c:743:13: warning: ‘locking_function’ defined but not used [-Wunused-function]
   static void locking_function(int mode, int n, const char * file, int line) {
               ^~~~~~~~~~~~~~~~
  error: command 'x86_64-linux-gnu-gcc' failed with exit status 1
  
  ----------------------------------------
  Failed building wheel for pyOpenSSL
  Running setup.py clean for pyOpenSSL
Failed to build pyOpenSSL
daphne 2.2.0 has requirement twisted>=17.5, but you'll have twisted 13.1.0 which is incompatible.
Installing collected packages: pyOpenSSL, setuptools, zope.interface, Twisted, sslstrip
  Found existing installation: pyOpenSSL 18.0.0
    Uninstalling pyOpenSSL-18.0.0:
      Successfully uninstalled pyOpenSSL-18.0.0
  Running setup.py install for pyOpenSSL ... error
    Complete output from command /usr/bin/python -u -c "import setuptools, tokenize;__file__='/tmp/pip-install-7u6tx8qm/pyOpenSSL/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-record-rufjk76u/install-record.txt --single-version-externally-managed --compile:
    running install
    running build
    running build_py
    creating build
    creating build/lib.linux-x86_64-3.6
    creating build/lib.linux-x86_64-3.6/OpenSSL
    copying OpenSSL/__init__.py -> build/lib.linux-x86_64-3.6/OpenSSL
    copying OpenSSL/tsafe.py -> build/lib.linux-x86_64-3.6/OpenSSL
    copying OpenSSL/version.py -> build/lib.linux-x86_64-3.6/OpenSSL
    creating build/lib.linux-x86_64-3.6/OpenSSL/test
    copying OpenSSL/test/__init__.py -> build/lib.linux-x86_64-3.6/OpenSSL/test
    copying OpenSSL/test/util.py -> build/lib.linux-x86_64-3.6/OpenSSL/test
    copying OpenSSL/test/test_crypto.py -> build/lib.linux-x86_64-3.6/OpenSSL/test
    copying OpenSSL/test/test_rand.py -> build/lib.linux-x86_64-3.6/OpenSSL/test
    copying OpenSSL/test/test_ssl.py -> build/lib.linux-x86_64-3.6/OpenSSL/test
    running build_ext
    building 'OpenSSL.crypto' extension
    creating build/temp.linux-x86_64-3.6
    creating build/temp.linux-x86_64-3.6/OpenSSL
    creating build/temp.linux-x86_64-3.6/OpenSSL/crypto
    x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -g -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC -I/usr/include/python3.6m -c OpenSSL/crypto/crypto.c -o build/temp.linux-x86_64-3.6/OpenSSL/crypto/crypto.o
    OpenSSL/crypto/crypto.c: In function ‘crypto_sign’:
    OpenSSL/crypto/crypto.c:626:16: error: storage size of ‘md_ctx’ isn’t known
         EVP_MD_CTX md_ctx;
                    ^~~~~~
    OpenSSL/crypto/crypto.c:626:16: warning: unused variable ‘md_ctx’ [-Wunused-variable]
    OpenSSL/crypto/crypto.c: In function ‘crypto_verify’:
    OpenSSL/crypto/crypto.c:673:16: error: storage size of ‘md_ctx’ isn’t known
         EVP_MD_CTX md_ctx;
                    ^~~~~~
    OpenSSL/crypto/crypto.c:673:16: warning: unused variable ‘md_ctx’ [-Wunused-variable]
    At top level:
    OpenSSL/crypto/crypto.c:743:13: warning: ‘locking_function’ defined but not used [-Wunused-function]
     static void locking_function(int mode, int n, const char * file, int line) {
                 ^~~~~~~~~~~~~~~~
    error: command 'x86_64-linux-gnu-gcc' failed with exit status 1
    
    ----------------------------------------
  Rolling back uninstall of pyOpenSSL
Command "/usr/bin/python -u -c "import setuptools, tokenize;__file__='/tmp/pip-install-7u6tx8qm/pyOpenSSL/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-record-rufjk76u/install-record.txt --single-version-externally-managed --compile" failed with error code 1 in /tmp/pip-install-7u6tx8qm/pyOpenSSL/

I'll give the python debugging more of a try again, though.  Thanks again for the response :-)

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...